---
- name: Check required parameters
  include_tasks: check_param.yml

- name: Set zextras login page
  ansible.builtin.command: "/opt/zimbra/bin/zmprov
    md {{ zimbraMailDomain }} \
    zimbraAuthMech custom:zx \
    zimbraWebClientLoginURL /zx/login/page/?domain={{ zimbraMailDomain }} \
    zimbraWebClientLogoutURL /zx/auth/logout/"
  changed_when: true
